> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contracts

> List of all the negotiated contracts.



## OpenAPI

````yaml GET /v2/contract
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/contract:
    get:
      tags:
        - Contract
      summary: List all negotiated contracts
      description: List of all the negotiated contracts.
      operationId: ContractController_listContracts
      parameters: []
      responses:
        '200':
          description: Successful response with a list of contracts
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - name
                    - domain
                    - offer_description
                    - category
                  properties:
                    name:
                      type: string
                    domain:
                      type: string
                    offer_description:
                      type: string
                    category:
                      type: string
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````